#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------
# Name: adr-tools
# Description: A command-line tool for working with a log of Architecture Decision Records (ADRs).
# More Information: https://github.com/npryce/adr-tools
#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
#
# Begin adr-tools make targets
#
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
# adr-tools install
#--------------------------------------------------------------------------------------------------------------
# Do not execute this command with sudo. 
# This utility is intened for gitpod developer use only and should not execute within a CICD build.
# source ~/.bashrc after install
#--------------------------------------------------------------------------------------------------------------
adr-tools/install:
	git clone https://github.com/npryce/adr-tools.git ~/.adr-tools
	cd ~/.adr-tools && git checkout tags/3.0.0
	echo 'export PATH="$$HOME/.adr-tools/src:$$PATH"' >> ~/.bashrc

#--------------------------------------------------------------------------------------------------------------
#
# End adr-tools make targets
#
#--------------------------------------------------------------------------------------------------------------
